%define name	xmlclitools
%define version 1.61
%define release %mkrel 6

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Command-line xml tools
Source:		http://robur.slu.se/jensl/xmlclitools/%{name}.tar.bz2
URL:		http://robur.slu.se/jensl/xmlclitools
License:	GPL
Group:		File tools
BuildRequires:	libglib-devel
BuildRequires:	libxml2-devel
BuildRequires:	pcre-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
xmlclitools provides four command-line tools for searching, modifying,
and formating XML data. The tools are designed to work in conjunction
with standard *nix utilities such as grep, sort, and shell scripts.

%prep
%setup -q -n %{name}
perl -pi \
    -e 's|^LIB_BASE=.*|LIB_BASE=%{_libdir}|;' \
    -e 's|^INCLUDE_BASE=.*|INCLUDE_BASE=%{_includedir}:%{_libdir}|;' \
    configure
perl -pi -e 's|gcc|gcc %{optflags}|' Makefile

%build
%configure
%make

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 xmlngrep xmlgrep xmlfmt xmlmod %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPYING MANUAL
%{_bindir}/*



%changelog
* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.61-6mdv2009.0
+ Revision: 262460
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.61-5mdv2009.0
+ Revision: 257145
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.61-3mdv2008.1
+ Revision: 136007
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import xmlclitools


* Wed Sep 27 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.61-2mdv2007.0
- %%mkrel
- fix x86_64 build (thanks to Colin Guthrie <cguthrie@mandriva.org>)

* Thu Nov 24 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.61-1mdk
- New release 1.61

* Thu Apr 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.56-1mdk
- New release 1.56
- spec cleanup

* Thu Dec 16 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.54-1mdk
- 1.54

* Wed Aug 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.53-1mdk 
- new version
- rpmbuildupdate aware

* Wed Dec 17 2003 Franck Villaume <fvill@freesurf.fr> 1.52-2mdk
- add BuildRequires : pcre-devel

* Fri Dec 12 2003 Guillaume Rousse <guillomovitch@mandrake.org> 1.52-1mdk
- new version

* Thu May 29 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.50-1mdk
- 1.50

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.42-1mdk
- 1.42

* Mon Oct 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.31-2mdk
- fix group

* Tue Sep 10 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.31-1mdk
- 1.31 
- optimisation flags

* Wed Jun 12 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.25-1mdk
- first mdk release
